const express = require('express');
const router = express.Router({ mergeParams: true });
const HistoryHomesteadController = require('../controllers/history.homestead.controller');
const authenticate = require("../middleware/auth");

router
    .route('/')
    .get(authenticate, HistoryHomesteadController.getHistoryHomestead)
    .post(authenticate, HistoryHomesteadController.createHistoryHomestead)
    .put(authenticate, HistoryHomesteadController.updateHistoryHomestead)
    .delete(authenticate, HistoryHomesteadController.deleteHistoryHomestead);

module.exports = router;